/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2016-07-28 12:43:45Z
 *****************************************************************************/

#ifndef __RSSFD_ATTRIBUTES_HEADER
#define __RSSFD_ATTRIBUTES_HEADER

#include "rsidr_core.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/
ViStatus rssfd_empty_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/
ViStatus rssfd_FileStateSpecialFormat_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus rssfd_empty_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);

/*****************************************************************************
 *- Check Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Status Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Coerce Callbacks --------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Table Callbacks ---------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- User Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsRangeTable rssfd_rngOutputSelect;
extern RsRangeTable rssfd_rngReferenceSource;
extern RsRangeTable rssfd_rngDOCSIS31FFT;
extern RsRangeTable rssfd_rngModulatorChannelWindow;
extern RsRangeTable rssfd_rngModulatorChannelCPrefix;
extern RsRangeTable rssfd_rngDOCSIS31ContinuousPilot;
extern RsRangeTable rssfd_rngDOCSIS31CPilotParameter;
extern RsRangeTable rssfd_rngDOCSIS31FrequencySelect;
extern RsRangeTable rssfd_rngDOCSIS31PLCSource;
extern RsRangeTable rssfd_rngDOCSIS31NCP;
extern RsRangeTable rssfd_rngModulatorChannelProfileConstellation;
extern RsRangeTable rssfd_rngDOCSIS31ProfileSource;
extern RsRangeTable rssfd_rngDOCSIS30Source;
extern RsRangeTable rssfd_rngBlockConstellation;
extern RsRangeTable rssfd_rngBlockType;
extern RsRangeTable rssfd_rngUpstreamTriggerMode;
extern RsRangeTable rssfd_rngATDMAPreambleType;
extern RsRangeTable rssfd_rngATDMALastCodewordLength;
extern RsRangeTable rssfd_rngATDMARSInterleaverMode;
extern RsRangeTable rssfd_rngSCDMAPreambleType;
extern RsRangeTable rssfd_rngSCDMALastCodewordLength;
extern RsRangeTable rssfd_rngOFDMAFFTSize;
extern RsRangeTable rssfd_rngCyclicPrefix;
extern RsRangeTable rssfd_rngWindowRolloffPeriod;
extern RsRangeTable rssfd_rngOFDMAModulationOrder;
extern RsRangeTable rssfd_rngNetworkType;
extern RsRangeTable rssfd_rngSFPDataRate;
extern RsRangeTable rssfd_rngStatusRegister;
extern RsRangeTable rssfd_rngStatusRegisterPart;
extern RsRangeTable rssfd_rngTriggerSource;
extern RsRangeTable rssfd_rngTriggerLevel;
extern RsRangeTable rssfd_rngTriggerEdge;
extern RsRangeTable rssfd_rngUpstreamSource;
extern RsRangeTable rssfd_rngUpstreamModulationType;
extern RsRangeTable rssfd_rngDigitalTransmissionMode;
extern RsRangeTable rssfd_rngFillDutyCycle;
extern RsRangeTable rssfd_rngUpstreamDOCsisSource;
extern RsRangeTable rssfd_rngUpstreamDOCsisBurst;
extern RsRangeTable rssfd_rngATDMAConstellation;
extern RsRangeTable rssfd_rngOutputPLCMode;
extern RsRangeTable rssfd_rngNoiseAWGNCNReference;
extern RsRangeTable rssfd_rngSCDMAConstellation;
extern RsRangeTable rssfd_rngDOCsisTimingSynchronization;
extern RsRangeTable rssfd_rngStateArr;
extern RsRangeTable rssfd_rngBlockInterleaverMode;
extern RsRangeTable rssfd_rngUpstreamPlayout;
extern RsRangeTable rssfd_rngRFTilt;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsAttrProperties g_RSSFD_RS_ATTR_RANGE_CHECK;
extern RsAttrProperties g_RSSFD_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsAttrProperties g_RSSFD_RS_ATTR_CACHE;
extern RsAttrProperties g_RSSFD_RS_ATTR_SIMULATE;
extern RsAttrProperties g_RSSFD_RS_ATTR_RECORD_COERCIONS;
extern RsAttrProperties g_RSSFD_RS_ATTR_INTERCHANGE_CHECK;
extern RsAttrProperties g_RSSFD_RS_ATTR_SPY;
extern RsAttrProperties g_RSSFD_RS_ATTR_USE_SPECIFIC_SIMULATION;
extern RsAttrProperties g_RSSFD_RS_ATTR_CLASS_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSSFD_RS_ATTR_CLASS_DRIVER_PREFIX;
extern RsAttrProperties g_RSSFD_RS_ATTR_CLASS_DRIVER_VENDOR;
extern RsAttrProperties g_RSSFD_RS_ATTR_CLASS_DRIVER_REVISION;
extern RsAttrProperties g_RSSFD_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSSFD_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSSFD_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSSFD_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsAttrProperties g_RSSFD_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsAttrProperties g_RSSFD_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsAttrProperties g_RSSFD_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsAttrProperties g_RSSFD_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSSFD_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSSFD_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsAttrProperties g_RSSFD_RS_ATTR_GROUP_CAPABILITIES;
extern RsAttrProperties g_RSSFD_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsAttrProperties g_RSSFD_RS_ATTR_CHANNEL_COUNT;
extern RsAttrProperties g_RSSFD_RS_ATTR_DRIVER_SETUP;
extern RsAttrProperties g_RSSFD_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsAttrProperties g_RSSFD_RS_ATTR_INSTRUMENT_MODEL;
extern RsAttrProperties g_RSSFD_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsAttrProperties g_RSSFD_RS_ATTR_OPTIONS_LIST;
extern RsAttrProperties g_RSSFD_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsAttrProperties g_RSSFD_RS_ATTR_LOGICAL_NAME;
extern RsAttrProperties g_RSSFD_RS_ATTR_PRIMARY_ERROR;
extern RsAttrProperties g_RSSFD_RS_ATTR_SECONDARY_ERROR;
extern RsAttrProperties g_RSSFD_RS_ATTR_ERROR_ELABORATION;
extern RsAttrProperties g_RSSFD_RS_ATTR_VISA_RM_SESSION;
extern RsAttrProperties g_RSSFD_RS_ATTR_IO_SESSION;
extern RsAttrProperties g_RSSFD_RS_ATTR_IO_SESSION_TYPE;
extern RsAttrProperties g_RSSFD_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSSFD_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSSFD_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsAttrProperties g_RSSFD_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSSFD_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSSFD_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsAttrProperties g_RSSFD_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsAttrProperties g_RSSFD_RS_ATTR_ENGINE_REVISION;
extern RsAttrProperties g_RSSFD_RS_ATTR_OPC_CALLBACK;
extern RsAttrProperties g_RSSFD_RS_ATTR_CHECK_STATUS_CALLBACK;
extern RsAttrProperties g_RSSFD_RS_ATTR_OPC_TIMEOUT;
extern RsAttrProperties g_RSSFD_ATTR_DIGITAL_TRANSMISSION_MODE;
extern RsAttrProperties g_RSSFD_ATTR_OUTPUT_DOCSIS_31_PLC_MODE;
extern RsAttrProperties g_RSSFD_ATTR_OUTPUT_ATTENUATION;
extern RsAttrProperties g_RSSFD_ATTR_DIGITAL_CLIPPING_MARGIN;
extern RsAttrProperties g_RSSFD_ATTR_DIGITAL_CLIPPING_STATUS;
extern RsAttrProperties g_RSSFD_ATTR_USER_REFERENCE_ADJUST;
extern RsAttrProperties g_RSSFD_ATTR_USER_REFERENCE_VALUE;
extern RsAttrProperties g_RSSFD_ATTR_SAVE_USER_REFERENCE_VALUE;
extern RsAttrProperties g_RSSFD_ATTR_REFERENCE_OSCILLATOR_SOURCE;
extern RsAttrProperties g_RSSFD_ATTR_OUTPUT_SELECT;
extern RsAttrProperties g_RSSFD_ATTR_RF_TILT;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS30_BLOCK_TYPE;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS30_BLOCK_SYMBOL_RATE;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS30_BLOCK_CONSTELLATION;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS30_BLOCK_INTERLEAVER_MODE;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS30_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS30_TRANSMIT;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS30_SOURCE;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS30_DATA_RATE;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS30_FREQUENCY;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS30_POWER;
extern RsAttrProperties g_RSSFD_ATTR_SYSTEM_CHANNEL_PORT;
extern RsAttrProperties g_RSSFD_ATTR_TSGEN_TRANSPORT_SELECT;
extern RsAttrProperties g_RSSFD_ATTR_TSGEN_CONTINUITY;
extern RsAttrProperties g_RSSFD_ATTR_TSGEN_PCR;
extern RsAttrProperties g_RSSFD_ATTR_TSGEN_TDT;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS31_TRANSMIT;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS31_CHANNEL_FREQUENCY;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS31_FREQUENCY_SELECT;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS31_GUARD;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS31_ESPECTRUM;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS31_POWER;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS31_FFT;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS31_WINDOWING;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS31_CYCLIC_PREFIX;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS31_CONT_PILOT;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS31_CONT_PILOT_PARAM;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS31_TIME_INTERLEAVER_DEPTH;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS31_PLC_TIMING_SYNC;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS31_PLC_LOCATION;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS31_PLC_SOURCE;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS31_PLC_SOURCE_PORT;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS31_NCP_ORDER;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS31_IMPORT_ADVANCED_CONFIGURATION;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS31_EXPORT_ADVANCED_CONFIGURATION;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS31_EXCLUSION_START;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS31_EXCLUSION_WIDTH;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS31_PROFILE_CONSTELLATION;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS31_PROFILE_PORT;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS31_PROFILE_SOURCE;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS31_PROFILE_FEC;
extern RsAttrProperties g_RSSFD_ATTR_DOCSIS_31_PROFILE_CHANNEL_DATA_RATE;
extern RsAttrProperties g_RSSFD_ATTR_DOWNSTREAM_ARB_TRANSMIT;
extern RsAttrProperties g_RSSFD_ATTR_DOWNSTREAM_ARB_FREQUENCY;
extern RsAttrProperties g_RSSFD_ATTR_DOWNSTREAM_ARB_POWER;
extern RsAttrProperties g_RSSFD_ATTR_DOWNSTREAM_ARB_TRIGGER_MODE;
extern RsAttrProperties g_RSSFD_ATTR_DOWNSTREAM_ARB_OUTPUT_DELAY;
extern RsAttrProperties g_RSSFD_ATTR_DOWNSTREAM_ARB_INTER_BURST_GAP;
extern RsAttrProperties g_RSSFD_ATTR_DOWNSTREAM_ARB_WAVEFORM;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_TRANSMIT;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_TIMING_SYNCHRONIZATION;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_MODULATION_TYPE;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_SOURCE;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_CHANNEL_PORT;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_GRANT_SIZE;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_PLAYOUT;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_PERIODIC_START_FRAME;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_PERIODIC_FRAME_REPEAT_INTERVAL;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_FREQUENCY;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_POWER;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_CHANNEL_DATA_RATE;
extern RsAttrProperties g_RSSFD_ATTR_ATDMA_MINISLOT_SIZE;
extern RsAttrProperties g_RSSFD_ATTR_ATDMA_SYMBOL_RATE;
extern RsAttrProperties g_RSSFD_ATTR_ATDMA_GUARD_TIME_SIZE;
extern RsAttrProperties g_RSSFD_ATTR_ATDMA_FILL_REMAINING_MINISLOTS;
extern RsAttrProperties g_RSSFD_ATTR_ATDMA_CONSTELLATION;
extern RsAttrProperties g_RSSFD_ATTR_ATDMA_PREAMBLE_LENGTH;
extern RsAttrProperties g_RSSFD_ATTR_ATDMA_PREAMBLE_PATTERN;
extern RsAttrProperties g_RSSFD_ATTR_ATDMA_PREAMBLE_VALUE_OFFSET;
extern RsAttrProperties g_RSSFD_ATTR_ATDMA_PREAMBLE_TYPE;
extern RsAttrProperties g_RSSFD_ATTR_ATDMA_FORWARD_ERROR_CORRECTION;
extern RsAttrProperties g_RSSFD_ATTR_ATDMA_FECK;
extern RsAttrProperties g_RSSFD_ATTR_ATDMA_LAST_CODEWORD_LENGTH;
extern RsAttrProperties g_RSSFD_ATTR_ATDMA_RS_INTERLEAVER_MODE;
extern RsAttrProperties g_RSSFD_ATTR_ATDMA_RS_INTERLEAVER_DEPTH;
extern RsAttrProperties g_RSSFD_ATTR_ATDMA_RS_INTERLEAVER_BLOCK_SIZE;
extern RsAttrProperties g_RSSFD_ATTR_ATDMA_SCRAMBLER_STATE;
extern RsAttrProperties g_RSSFD_ATTR_ATDMA_SCRAMBLER_SEED;
extern RsAttrProperties g_RSSFD_ATTR_SCDMA_SYMBOL_RATE;
extern RsAttrProperties g_RSSFD_ATTR_SCDMA_CODES;
extern RsAttrProperties g_RSSFD_ATTR_SCDMA_SPREADING;
extern RsAttrProperties g_RSSFD_ATTR_SCDMA_ACTIVE_CODES;
extern RsAttrProperties g_RSSFD_ATTR_SCDMA_MINISLOT_LOADING_DUTY_CYCLE;
extern RsAttrProperties g_RSSFD_ATTR_SCDMA_CONSTELLATION;
extern RsAttrProperties g_RSSFD_ATTR_SCDMA_PREAMBLE_PATTERN;
extern RsAttrProperties g_RSSFD_ATTR_SCDMA_PREAMBLE_LENGTH;
extern RsAttrProperties g_RSSFD_ATTR_SCDMA_PREAMBLE_VALUE_OFFSET;
extern RsAttrProperties g_RSSFD_ATTR_SCDMA_PREAMBLE_TYPE;
extern RsAttrProperties g_RSSFD_ATTR_SCDMA_FORWARD_ERROR_CORRECTION;
extern RsAttrProperties g_RSSFD_ATTR_SCDMA_FECK;
extern RsAttrProperties g_RSSFD_ATTR_SCDMA_LAST_CODEWORD_LENGTH;
extern RsAttrProperties g_RSSFD_ATTR_SCDMA_SYMBOL_INTERLEAVER_STEP_SIZE;
extern RsAttrProperties g_RSSFD_ATTR_SCDMA_CODE_HOPPING;
extern RsAttrProperties g_RSSFD_ATTR_SCDMA_CODE_HOPPING_SEED;
extern RsAttrProperties g_RSSFD_ATTR_SCDMA_CODES_PER_SUBFRAME;
extern RsAttrProperties g_RSSFD_ATTR_SCDMA_SPREADER_STATE;
extern RsAttrProperties g_RSSFD_ATTR_SCDMA_SCRAMBLER_STATE;
extern RsAttrProperties g_RSSFD_ATTR_SCDMA_SCRAMBLER_SEED;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_DOCSIS_TRANSMIT;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_DOCSIS_TIMING_SYNCHRONIZATION;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_DOCSIS_BURST_TYPE;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_DOCSIS_SOURCE;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_DOCSIS_CHANNEL_PORT;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_DOCSIS_GRANT_SIZE;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_DOCSIS_PLAYOUT;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_DOCSIS_PERIODIC_START_FRAME;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_DOCSIS_PERIODIC_FRAME_REPEAT_INTERVAL;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_DOCSIS_FREQUENCY;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_DOCSIS_POWER;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_DOCSIS_CHANNEL_DATA_RATE;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_FFT_SIZE;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_FIRST_ACTIVE_SUBCARRIER;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_LAST_ACTIVE_SUBCARRIER;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_CYCLIC_PREFIX;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_WINDOW_ROLLOFF_PERIOD;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_SYMBOLS_PER_FRAME;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_PILOT_PATTERN;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_CONSTELLATION;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_SCRAMBLER_STATE;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_SCRAMBLER_SEED;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_ADVANCED_PROFILES;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_EXCLUSION_START;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_EXCLUSION_WIDTH;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_MINISLOT_LOADING_DUTY_CYCLE;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_IRAN_STARTING_MINISLOT;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_IRAN_NUMBER_OF_MINISLOTS;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_IRAN_MAC_ADDRESS;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_IRAN_NUMBER_OF_SUBCARRIERS;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_IRAN_DOWNSTREAM_CHANNEL;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_IRAN_PREAMBLE_PATTERN;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_IRAN_PREAMBLE_LENGTH;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_IRAN_PREAMBLE_VALUE_OFFSET;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_IRAN_MINISLOT_LOADING_DUTY_CYCLE;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_FRAN_STARTING_MINISLOT;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_FRAN_NUMBER_OF_MINISLOTS;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_FRAN_NUMBER_OF_SUBCARRIERS;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_FRAN_PREAMBLE_PATTERN;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_FRAN_PREAMBLE_VALUE_OFFSET;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_FRAN_DATA_FILENAME;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_FRAN_MINISLOT_LOADING_DUTY_CYCLE;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_WPR_SUBCARRIER_START;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_WPR_SUBCARRIER_SKIP;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_WPR_SUBCARRIER_SYMBOL_IN_FRAME;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_WPR_STAGGER;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_WPR_MINISLOT_LOADING_DUTY_CYCLE;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_BRM_NUMBER_OF_FRAMES;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_BRM_MINISLOT_IN_FRAME;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_BRM_SUBSLOT;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_BRM_NUMBER_OF_BYTES;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_BRM_SID;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_BRM_FILL_REMAINING_MINISLOTS;
extern RsAttrProperties g_RSSFD_ATTR_OFDMA_BRM_MINISLOT_LOADING_DUTY_CYCLE;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_ARB_TRANSMIT;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_ARB_FREQUENCY;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_ARB_POWER;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_ARB_TRIGGER_MODE;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_ARB_OUTPUT_DELAY;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_ARB_INTER_BURST_GAP;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_ARB_WAVEFORM;
extern RsAttrProperties g_RSSFD_ATTR_HUM_STATE;
extern RsAttrProperties g_RSSFD_ATTR_HUM_FREQUENCY;
extern RsAttrProperties g_RSSFD_ATTR_HUM_DEPTH;
extern RsAttrProperties g_RSSFD_ATTR_NOISE_AWGN_MODE;
extern RsAttrProperties g_RSSFD_ATTR_NOISE_AWGN_FREQUENCY;
extern RsAttrProperties g_RSSFD_ATTR_NOISE_AWGN_CHANNEL;
extern RsAttrProperties g_RSSFD_ATTR_NOISE_AWGN_BANDWIDTH;
extern RsAttrProperties g_RSSFD_ATTR_NOISE_AWGN_AMPLITUDE;
extern RsAttrProperties g_RSSFD_ATTR_NOISE_AWGN_RECEIVER_BANDWIDTH;
extern RsAttrProperties g_RSSFD_ATTR_NOISE_AWGN_CN_REFERENCE;
extern RsAttrProperties g_RSSFD_ATTR_BER_MODE;
extern RsAttrProperties g_RSSFD_ATTR_BER_VALUE;
extern RsAttrProperties g_RSSFD_ATTR_PHASE_NOISE_STATE;
extern RsAttrProperties g_RSSFD_ATTR_DOWNSTREAM_TIMING_DOCSIS_TIMESTAMP;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_TIMING_DOCSIS_EXTENDED_TIMESTAMP;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_TIMING_TX_TIME_OFFSET_ADJUST;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_TIMING_DOCSIS_TIMESTAMP;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_TIMING_MINISLOT_COUNTER;
extern RsAttrProperties g_RSSFD_ATTR_UPSTREAM_TIMING_FRAME_COUNTER;
extern RsAttrProperties g_RSSFD_ATTR_TRIGGER_SOURCE;
extern RsAttrProperties g_RSSFD_ATTR_TRIGGER_IN_SENSITIVITY;
extern RsAttrProperties g_RSSFD_ATTR_MARKER_OUT_START_DELAY;
extern RsAttrProperties g_RSSFD_ATTR_MARKER_OUT_POLARITY;
extern RsAttrProperties g_RSSFD_ATTR_TRIGGER_IMMEDIATE;
extern RsAttrProperties g_RSSFD_ATTR_IP_ADDRESS_COMMAND;
extern RsAttrProperties g_RSSFD_ATTR_SUBNET_MASK;
extern RsAttrProperties g_RSSFD_ATTR_GATEWAY;
extern RsAttrProperties g_RSSFD_ATTR_NETWORK_TYPE;
extern RsAttrProperties g_RSSFD_ATTR_COMPUTER_NAME;
extern RsAttrProperties g_RSSFD_ATTR_SFP_DATA_IP_ADDRESS;
extern RsAttrProperties g_RSSFD_ATTR_SFP_DATA_RATE;
extern RsAttrProperties g_RSSFD_ATTR_FILE_RECALL;
extern RsAttrProperties g_RSSFD_ATTR_FILE_SAVE;
extern RsAttrProperties g_RSSFD_ATTR_FILE_MANAGER_EDIT_PATH;
extern RsAttrProperties g_RSSFD_ATTR_FILE_MANAGER_DELETE;
extern RsAttrProperties g_RSSFD_ATTR_FILE_MANAGER_MAKE_DIR;
extern RsAttrProperties g_RSSFD_ATTR_FILE_MANAGER_DELETE_DIR;
extern RsAttrProperties g_RSSFD_ATTR_FILE_MANAGER_CATALOG;
extern RsAttrProperties g_RSSFD_ATTR_FILE_MANAGER_CATALOG_LENGTH;
extern RsAttrProperties g_RSSFD_ATTR_FILE_MANAGER_DIRECTORY_CATALOG;
extern RsAttrProperties g_RSSFD_ATTR_FILE_MANAGER_DIRECTORY_CATALOG_LENGTH;
extern RsAttrProperties g_RSSFD_ATTR_SYSTEM_ERROR;
extern RsAttrProperties g_RSSFD_ATTR_SYSTEM_PRESET;
extern RsAttrProperties g_RSSFD_ATTR_ID_QUERY_RESPONSE;

/*****************************************************************************
 *- Repeated Capabilities Table --------------------------------------------------------------*
 *****************************************************************************/
extern RsRepCap rssfd_RsRepCapTable[];

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsAttrPropertiesPtr rssfd_RsAttrPropertiesList[];

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSSFD_ATTRIBUTES_HEADER */
